osg::GraphicsThread Class Reference

`#include <GraphicsThread>`

Inheritance diagram for osg::GraphicsThread:

## Public Member Functions

| GraphicsThread ()
virtual void | run ()
Public Member Functions inherited from osg::OperationThread
| OperationThread ()
void | setParent (Object *parent)
Object * | getParent ()
const Object * | getParent () const
void | setOperationQueue (OperationQueue *opq)
OperationQueue * | getOperationQueue ()
const OperationQueue * | getOperationQueue () const
void | add (Operation *operation)
void | remove (Operation *operation)
void | remove (const std::string &name)
void | removeAllOperations ()
osg::ref_ptr< Operation > | getCurrentOperation ()
void | setDone (bool done)
bool | getDone () const
virtual int | cancel ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from OpenThreads::Thread
| Thread ()
virtual | ~Thread ()
size_t | getThreadId ()
size_t | getProcessId ()
int | start ()
int | startThread ()
int | testCancel ()
int | setSchedulePriority (ThreadPriority priority)
int | getSchedulePriority ()
int | setSchedulePolicy (ThreadPolicy policy)
int | getSchedulePolicy ()
int | setStackSize (size_t size)
size_t | getStackSize ()
void | printSchedulingInfo ()
int | detach ()
int | join ()
int | setCancelModeDisable ()
int | setCancelModeAsynchronous ()
int | setCancelModeDeferred ()
bool | isRunning ()
virtual void | cancelCleanup ()
void * | getImplementation ()
int | setProcessorAffinity (const Affinity &affinity)

## Additional Inherited Members

Public Types inherited from OpenThreads::Thread
enum | ThreadPriority { THREAD_PRIORITY_MAX , THREAD_PRIORITY_HIGH , THREAD_PRIORITY_NOMINAL , THREAD_PRIORITY_LOW , THREAD_PRIORITY_MIN , THREAD_PRIORITY_DEFAULT }
enum | ThreadPolicy { THREAD_SCHEDULE_FIFO , THREAD_SCHEDULE_ROUND_ROBIN , THREAD_SCHEDULE_TIME_SHARE , THREAD_SCHEDULE_DEFAULT }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Static Public Member Functions inherited from OpenThreads::Thread
static int | SetConcurrency (int concurrencyLevel)
static int | GetConcurrency ()
static Thread * | CurrentThread ()
static size_t | CurrentThreadId ()
static void | Init ()
static int | YieldCurrentThread ()
static ThreadPriority | GetMasterPriority ()
static int | microSleep (unsigned int microsec)
Protected Member Functions inherited from osg::OperationThread
virtual | ~OperationThread ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::OperationThread
observer_ptr< Object > | _parent
OpenThreads::Atomic | _done
OpenThreads::Mutex | _threadMutex
osg::ref_ptr< OperationQueue > | _operationQueue
osg::ref_ptr< Operation > | _currentOperation
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

GraphicsThread is a helper class for running OpenGL GraphicsOperation within a single thread assigned to a specific GraphicsContext.

## Constructor & Destructor Documentation

## GraphicsThread()

osg::GraphicsThread::GraphicsThread | ( |  | ) |

## Member Function Documentation

## run()

virtual void osg::GraphicsThread::run | ( |  | ) |

virtual

Run does the graphics thread run loop.

Reimplemented from osg::OperationThread.

The documentation for this class was generated from the following file:

- GraphicsThread